Bug 15990 - Making record matching rules actions buttons
Summary: Making record matching rules actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-06 22:11 UTC by Aleisha Amohia
Modified: 2017-06-14 22:11 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15990: Moving record matching rules actions into a drop-down menu (2.38 KB, patch)
2016-03-06 22:13 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15990: Moving record matching rules actions into a drop-down menu (2.44 KB, patch)
2016-03-08 20:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 15990: Moving record matching rules actions into a drop-down menu (2.51 KB, patch)
2016-03-09 11:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15990: Making record matching rules actions buttons (1.72 KB, patch)
2016-03-10 01:48 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15990: Making record matching rules actions buttons (1.82 KB, patch)
2016-03-11 19:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15990: Making record matching rules actions buttons (1.84 KB, patch)
2016-03-14 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15990: (follow-up) Making record matching rules actions buttons (1.48 KB, patch)
2016-03-14 16:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-06 22:11:37 UTC
Similar to Bug 15932, Bug 13778, Bug 15830, Bug 15952, Bug 15966, Bug 15988, Bug 15989
Comment 1 Aleisha Amohia 2016-03-06 22:13:01 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-03-07 15:09:57 UTC
I think we should not make dropdowns where there are only two options.

I would like to propose that we start using Bootstrap-styled buttons like this when there are only two links:

      <a class="btn btn-mini" href="[% available_matching_rule.script_name %]?op=edit_matching_rule&amp;matcher_id=[% available_matching_rule.matcher_id |html %]"><i class="fa fa-pencil"></i> Edit</a>
      <a class="btn btn-mini" href="[% available_matching_rule.script_name %]?op=delete_matching_rule&amp;matcher_id=[% available_matching_rule.matcher_id |html %]"><i class="fa fa-remove"></i> Delete</a>
Comment 3 Katrin Fischer 2016-03-07 19:53:08 UTC
The pull down adds another click - so in cases with not so many options I think the buttons could work nicely.
Comment 4 Nicole C. Engard 2016-03-08 20:43:20 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-09 11:35:29 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-03-09 12:30:12 UTC
Aleisha, putting this in discussion, it seems that we should use the drop-down menu only when we have more than 2 buttons.
Comment 7 Aleisha Amohia 2016-03-10 01:48:00 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2016-03-11 19:14:05 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2016-03-14 16:52:09 UTC
Created attachment 49124 [details] [review]
Bug 15990: Making record matching rules actions buttons

To test:

1) Go to Administration -> Record matching rules
2) Confirm that the actions 'Edit' and 'Delete' are not buttons and behave as expected.

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2016-03-14 16:52:12 UTC
Created attachment 49125 [details] [review]
Bug 15990: (follow-up) Making record matching rules actions buttons

Adds the actions class to the td elt to keep the buttons next to each
other.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Brendan Gallagher 2016-03-18 07:10:57 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!